<?php
/*! @file

    @id $Id$

    @see @ref database for the database schema

*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

mysqli_report(MYSQLI_REPORT_STRICT);
require_once("functions.php");
try {
  if (!isset($pgp)) {
    $pgp = gnupg_init();
    if (!$pgp) error("pgp on server failed");
  }
} catch (Exception $e) {
  error('cannot start pgp on server');
}
try {
  if (!isset($db)) {
    $db = new mysqli("mysql", "root", $_SERVER["MYSQL_ENV_MYSQL_ROOT_PASSWORD"]);
    if (!$db) error("database connection failed on server");
    $db->query("create database if not exists safechat;");
    $db->select_db("safechat");
    if (!$db) error("cannot create database for safechat");
    $db->query(file_get_contents("schema.sql"));
    if (!$db) error("cannot create database tables");
  }
} catch (Exception $e) {
  error('database error on server');
}
?>
